# MediaObject Class Reference

### [com.trolltech.qt.phonon package]

Inherits QObject.

### Constructor

- void MediaObject(QObject parent)

### Constructor Properties

- prototype: The MediaObject prototype object

### Prototype Object Properties

The MediaObject prototype object inherits properties from the QObject prototype object and also has the following properties.

- void clearQueue()
- MediaSource currentSource()
- qint64 currentTime()
- void enqueue(MediaSource source)
- void enqueueUrls(List urls)
- String errorString()
- ErrorType errorType()
- bool hasVideo()
- bool isSeekable()
- SortedMap metaData()
- List queue()
- qint64 remainingTime()
- void setCurrentSource(MediaSource source)
- void setQueue(List sources)
- void setQueueToUrls(List urls)
- State state()
- qint64 totalTime()

### Instance Properties

MediaObject objects inherit properties from the MediaObject prototype object and also have the following properties.

- transitionTime
- prefinishMark
- tickInterval